local HonorTracker = select(2, ...)
local Config = HonorTracker:RegisterModule("Config")
local AceConfigDialog = LibStub("AceConfigDialog-3.0")
local AceConfig = LibStub("AceConfig-3.0")

local L = HonorTracker.L

local initialOptionsFrame

function Config:Show()
	InterfaceOptionsFrame_OpenToCategory(initialOptionsFrame)
end

-- Setup the options frame parent
local containerFrame = CreateFrame("Frame", nil, InterfaceOptionsFrame)
containerFrame.name = "HonorTracker"
containerFrame:SetScript("OnShow", function() Config:Show() end)
containerFrame:Hide()
InterfaceOptions_AddCategory(containerFrame)

-- Create the options menu child frames
local options = {
	type = "group",
    args = {
		general = {
			type = "group",
			name = L["General"],
			set = function(info, value)
				HonorTracker.db.config[info[#(info)]] = value
			end,
			get = function(info)
				return HonorTracker.db.config[info[#(info)]]
			end,
			args = {
				tooltips = {
					order = 1,
					type = "toggle",
					name = L["Show DR Tooltips"],
					desc = L["Displays how many times you have killed someone on mouseover tooltips."],
					width = "full",
				},				
				internalComms = {
					order = 2,
					type = "toggle",
					name = L["Sync using guild channels"],
					desc = L["Only syncs new player data using guild channels, useful when random people are spamming bad data."],
					width = "full",
				}
			}
		}
    }
}

AceConfig:RegisterOptionsTable("HonorTracker", options)
initialOptionsFrame = AceConfigDialog:AddToBlizOptions("HonorTracker", options.args.general.name, "HonorTracker", "general")
